Subject: Re: bug#36894: Stability issues in frameset sorting

From: Juri Linkov <[email-masked]>
Date: Wed, 07 Aug 2019 01:09:49 +0300

>> Now one problem still remains: the desktop file doesn't restore the
>> selected frame, i.e. after restoring frames from the desktop file,
>> the selected frame is not the same as was before saving the desktop.
>> This patch ensures that the previously selected frame is restored last,
>> thus becoming selected again:
>
> Is this really necessary?  IME, the selected frame does get restored,
> so I'm not sure why it doesn't work for you.

Currently the desktop doesn't restore focus to the previously selected frame.

> I'm wary of changing the order of restoring frames from what Emacs
> does now, because this could have adverse effects on some settings
> that are related to restoring frame dimensions.

I doubt that fixing would have any effect because for many years
the order was completely broken, and no one complained
(I can speak only for myself why I haven't complained until now -
every time the desktop restored focus to wrong frame,
it was easier to switch to the previously selected frame
manually than to debug the problem).